org.bouncycastle.crypto.digests

## Enum SparkleDigest.SparkleParameters

- java.lang.Object
- - java.lang.Enum<SparkleDigest.SparkleParameters>
  - - org.bouncycastle.crypto.digests.SparkleDigest.SparkleParameters

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SparkleDigest.SparkleParameters>
  Enclosing class:
    SparkleDigest

      public static enum SparkleDigest.SparkleParameters
      extends java.lang.Enum<SparkleDigest.SparkleParameters>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ESCH256`
    `ESCH384`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SparkleDigest.SparkleParameters` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SparkleDigest.SparkleParameters[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ESCH256

          public static final SparkleDigest.SparkleParameters ESCH256

    - #### ESCH384

          public static final SparkleDigest.SparkleParameters ESCH384

  - ### Method Detail

    - #### values

          public static SparkleDigest.SparkleParameters[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SparkleDigest.SparkleParameters c : SparkleDigest.SparkleParameters.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SparkleDigest.SparkleParameters valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null